Bug 1262468 - (php-punic) Review Request: php-punic - PHP-Unicode CLDR
Review Request: php-punic - PHP-Unicode CLDR
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Remi Collet
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1262185
  Show dependency treegraph
 
Reported: 2015-09-11 16:02 EDT by Shawn Iwinski
Modified: 2015-10-12 15:59 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-10-05 14:15:01 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
fedora: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)
phpci.log (20.81 KB, text/plain)
2015-09-14 01:54 EDT, Remi Collet
no flags Details
review.txt (6.34 KB, text/plain)
2015-09-14 01:55 EDT, Remi Collet
no flags Details

  None (edit)
Description Shawn Iwinski 2015-09-11 16:02:16 EDT
Spec URL: https://raw.githubusercontent.com/siwinski/rpms/d763bd0276d8fc405eed02b2244969bbfabf7c48/php-punic/php-punic.spec

SRPM URL: https://siwinski.fedorapeople.org/SRPMS/php-punic-1.6.3-1.fc22.src.rpm

Description:
PHP-Unicode CLDR Toolkit

Punic is a PHP library using the CLDR data to help you localize various
variables like numbers, dates, units, lists, ...

For full API reference see the APIs reference [1].

[1] http://punic.github.io/docs


Fedora Account System Username: siwinski
Comment 1 Remi Collet 2015-09-14 01:54:20 EDT
Created attachment 1073053 [details]
phpci.log

phpCompatInfo version 4.4.0 DB built Jul 20 2015 15:09:02 CEST static analyze results
Comment 2 Remi Collet 2015-09-14 01:55:07 EDT
Created attachment 1073054 [details]
review.txt

Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Comment 3 Remi Collet 2015-09-14 01:56:14 EDT
[!]: If the package is under multiple licenses, the licensing breakdown
     must be documented in the spec.
  => just add a comment, "code is MIT, data is Unicode"

Trvial, can be added on import.

No blocker

=== APPROVED ===
Comment 4 Remi Collet 2015-09-14 01:59:21 EDT
Koji scratch build: 
http://koji.fedoraproject.org/koji/taskinfo?taskID=11076918

Perhaps worth to patch Punic/Data.php (the only file where 'data' is used) instead of using a symlink.
Comment 5 Shawn Iwinski 2015-09-19 16:37:39 EDT
THANKS for the review!  I'll make the license comment addition after initial import.



New Package SCM Request
=======================
Package Name: php-punic
Short Description: PHP-Unicode CLDR
Upstream URL: http://punic.github.io/
Owners: siwinski
Branches: f21 f22 f23 el6 epel7
InitialCC:
Comment 6 Gwyn Ciesla 2015-09-20 12:21:49 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2015-09-24 08:36:44 EDT
php-punic-1.6.3-1.fc21 has been submitted as an update to Fedora 21. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16594
Comment 8 Fedora Update System 2015-09-24 08:36:51 EDT
php-punic-1.6.3-1.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8218
Comment 9 Fedora Update System 2015-09-24 08:36:55 EDT
php-punic-1.6.3-1.fc22 has been submitted as an update to Fedora 22. https://bodhi.fedoraproject.org/updates/FEDORA-2015-16595
Comment 10 Fedora Update System 2015-09-25 10:19:29 EDT
php-punic-1.6.3-1.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-punic'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8218
Comment 11 Fedora Update System 2015-09-25 10:22:58 EDT
php-punic-1.6.3-1.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update php-punic'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-8217
Comment 12 Fedora Update System 2015-09-25 11:20:26 EDT
php-punic-1.6.3-1.fc21 has been pushed to the Fedora 21 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-punic'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16594
Comment 13 Fedora Update System 2015-09-25 12:33:20 EDT
php-punic-1.6.3-1.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-punic'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16596
Comment 14 Fedora Update System 2015-09-26 20:38:57 EDT
php-punic-1.6.3-1.fc22 has been pushed to the Fedora 22 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'dnf --enablerepo=updates-testing update php-punic'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2015-16595
Comment 15 Fedora Update System 2015-10-05 14:14:59 EDT
php-punic-1.6.3-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2015-10-05 17:54:10 EDT
php-punic-1.6.3-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.
Comment 17 Fedora Update System 2015-10-05 18:49:59 EDT
php-punic-1.6.3-1.fc21 has been pushed to the Fedora 21 stable repository. If problems still persist, please make note of it in this bug report.
Comment 18 Fedora Update System 2015-10-12 15:27:28 EDT
php-punic-1.6.3-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.
Comment 19 Fedora Update System 2015-10-12 15:59:39 EDT
php-punic-1.6.3-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.